@font-face {
  font-family: "Janna LT";
  src: url("../fonts/Janna LT Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Janna LT";
  src: url("../fonts/Janna LT Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

:root {
  --fs-56: clamp(4.5rem, 4.5vw, 5.6rem);
  --fs-44: clamp(3.4rem, 4vw, 4.4rem);
  --fs-40: clamp(2rem, 3vw, 4rem);
  --fs-36: clamp(3rem, 3.5vw, 3.6rem);
  --fs-32: clamp(2.6rem, 3vw, 3.2rem);
  --fs-24: clamp(1.9rem, 2vw, 2.4rem);
  --fs-21: clamp(1.8rem, 1.8vw, 2.1rem);
  --fs-20: clamp(1.7rem, 1.8vw, 2rem);
  --fs-19: clamp(1.6rem, 1.5vw, 1.9rem);
  --fs-18: clamp(1.5rem, 1.4vw, 1.8rem);
  --fs-16: clamp(1.4rem, 1.2vw, 1.6rem);
  --fs-12: clamp(1.2rem, 1vw, 1.2rem);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Janna LT", sans-serif;
  text-decoration: none;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 7rem;
}

body {
  font-size: var(--fs-16);
  font-weight: 400;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--bs-white);
}

img {
  max-width: 100%;
  height: auto;
}

@media (max-width: 991px) {
  html {
    font-size: 60%;
  }
}

@media (max-width: 768px) {
  html {
    overflow-x: hidden;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 55%;
  }
}

/* -----------------navbar-------------------- */
.nav-links a {
  color: var(--bs-black);
}

.nav-links a:hover {
  color: var(--bs-primary);
}

.nav-links a.active {
  color: var(--bs-primary);
}

.lang-switch {
  width: 11.7rem;
  height: 3.9rem;
  display: inline-flex;
  align-items: center;
  border: 1px solid var(--bs-black);
  border-radius: 4.3rem;
  padding: 0.4rem;
  gap: 0.6rem;
}

.lang-btn {
  height: 3.1rem;
  border: none;
  background: transparent;
  color: var(--bs-black);
  padding: 1rem;
  border-radius: 7.3rem;
  transition: all 0.3s ease;
}

.lang-btn.active {
  background: var(--bs-black);
  color: var(--bs-white);
}

.login-btn {
  width: 13.7rem;
  height: 3.9rem;
  border: 1px solid var(--bs-primary);
  border-radius: 4.3rem;
}

.login-btn button {
  width: 12.9rem;
  height: 3.1rem;
  border-radius: 7.3rem;
  border: none;
  background: var(--bs-primary);
  color: var(--bs-white);
}

/* -----------------------sidebar-------------------- */

.offcanvas {
  background-color: var(--bs-white);
}

.offcanvas-body a {
  font-size: var(--fs-18);
  color: var(--bs-primary);
  padding: 1rem 0;
  display: block;
  text-align: center;
  border: 0.1rem solid var(--bs-primary);
  border-radius: 0.8rem;
  transition: 0.3s;
  font-weight: 500;
}

.offcanvas-body a:hover {
  background-color: var(--bs-primary);
  color: var(--bs-light);
}

.offcanvas-header h5 {
  font-size: var(--fs-20);
  color: var(--bs-primary);
  font-weight: 700;
}

.btn-close {
  background-color: var(--bs-danger);
  width: 3rem;
  height: 3rem;
  color: var(--bs-white);
  border-radius: 0.8rem;
}

#mobileMenu.offcanvas {
  width: 30rem;
  max-width: 90vw;
}

.btn-sidebar:focus,
.btn-sidebar,
.btn-close:focus,
.btn-close {
  box-shadow: none !important;
  outline: none !important;
  border: none !important;
}

.btn-sidebar img {
  width: 3.7rem;
}

/* -----------------footer-------------------- */
.footer {
  background: url("../images/footer-bg.png") no-repeat center/cover;
  position: relative;
}

.footer::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bs-primary);
  opacity: 0.9;
  z-index: -1;
}

.footer h4 {
  max-width: 33.7rem;
  margin: auto;
  line-height: 1.6;
  color: var(--bs-white);
}

.social-media-icons a {
  width: 4rem;
  height: 4rem;
  border-radius: 50%;
  background-color: var(--bs-gray-100);
  display: inline-block;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-links a {
  color: var(--bs-white);
  font-size: var(--fs-20);
}

.footer-links .line {
  width: 1.5px;
  height: 3.5rem;
  background-color: var(--bs-white);
}

.copyright{
  border-top: 1px solid var(--bs-gray-900);
}

.copyright p {
  color: var(--bs-white);
}

/* -------------------------media queries-----------------------  */

@media screen and (max-width: 991px) {
  .g-5 {
    --bs-gutter-x: 1.5rem;
  }
}
